## gluegen2 2.6.0+dfsg

=== debian/changelog ===
gluegen2 (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.0+dfsg
  * Refreshing patches
  * Raising Standards version to 4.7.2 (no change)
  * Removing the nocheck annotation from the junit4 B-D (Closes: #1116743)

 -- Pierre Gruet <pgt@debian.org>  Sun, 05 Oct 2025 23:34:02 +0200

gluegen2 (2.5.0+dfsg-3) unstable; urgency=medium

  * Fixing build with gcc14 (Closes: #1075013)
  * Raising Standards version to 4.7.0 (no change)

 -- Pierre Gruet <pgt@debian.org>  Tue, 09 Jul 2024 23:36:23 +0200

gluegen2 (2.5.0+dfsg-2) unstable; urgency=medium

  * Adding patch of yalingfang to build on LoongArch
  * Stopping building the -doc package (Closes: #1057503)
  * Fixing minor spelling mistakes

 -- Pierre Gruet <pgt@debian.org>  Thu, 14 Dec 2023 23:30:56 +0100
