=== debian/watch ===
version=4

opts="dversionmangle=auto, oversionmangle=s/(.*)/$1+dfsg/" \
 https://jogamp.org/deployment/jogamp-current/archive/Sources/ gluegen-v(.*).tar.xz debian

opts="component=jcpp, dversionmangle=auto" \
 https://jogamp.org/deployment/jogamp-current/archive/Sources/jcpp-v@ANY_VERSION@.tar.xz ignore
